# Uses of Class
com.fasterxml.jackson.core.io.OutputDecorator

Packages that use OutputDecorator
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of OutputDecorator in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as OutputDecorator
Modifier and Type
Field
Description
`protected OutputDecorator`
JsonFactory.`_outputDecorator`
Optional helper object that may decorate output object, to do additional processing on output during content generation.
`protected OutputDecorator`
TSFBuilder.`_outputDecorator`
Optional helper object that may decorate output object, to do additional processing on output during content generation.
Methods in com.fasterxml.jackson.core that return OutputDecorator
Modifier and Type
Method
Description
`OutputDecorator`
JsonFactory.`getOutputDecorator()`
Method for getting currently configured output decorator (if any; there is no default decorator).
`OutputDecorator`
TSFBuilder.`outputDecorator()`
Methods in com.fasterxml.jackson.core with parameters of type OutputDecorator
Modifier and Type
Method
Description
`B`
TSFBuilder.`outputDecorator(OutputDecorator dec)`
`JsonFactory`
JsonFactory.`setOutputDecorator(OutputDecorator d)`
Deprecated.
Since 2.10 use `TSFBuilder.outputDecorator(OutputDecorator)` instead